> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List nodes

> Bearer PAT authentication; RBAC permission `clusters.read`. PAT mutations support `wait=false` where implemented; browser mutations require CSRF.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/scaleway/{cluster_id}/nodes
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/scaleway/{cluster_id}/nodes:
    get:
      tags:
        - Scaleway / Kapsule
      summary: List nodes
      description: >-
        Bearer PAT authentication; RBAC permission `clusters.read`. PAT
        mutations support `wait=false` where implemented; browser mutations
        require CSRF.
      operationId: list_nodes_scaleway_pat
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            type: string
        - description: PAT organisation override.
          in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeListResult'
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Invalid request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Unauthenticated
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Permission or CSRF check failed
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Resource not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation failed
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Provider or internal failure
      security:
        - BearerAuth: []
components:
  schemas:
    NodeListResult:
      properties:
        nodes:
          items:
            $ref: '#/components/schemas/NodeSummary'
          title: Nodes
          type: array
      required:
        - nodes
      title: NodeListResult
      type: object
    ContractDetailError:
      example:
        detail: Cluster not found
      properties:
        detail:
          oneOf:
            - type: string
            - additionalProperties: true
              properties: {}
              type: object
      required:
        - detail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    NodeSummary:
      properties:
        created_at:
          title: Created At
          type: string
        id:
          format: uuid4
          title: Id
          type: string
        instance_type:
          title: Instance Type
          type: string
        is_deleted:
          title: Is Deleted
          type: boolean
        kind:
          title: Kind
          type: string
        location:
          title: Location
          type: string
        name:
          title: Name
          type: string
        node_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Group
        private_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Private Ip
        public_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Public Ip
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        state:
          title: State
          type: string
        updated_at:
          title: Updated At
          type: string
      required:
        - id
        - kind
        - name
        - instance_type
        - location
        - state
        - is_deleted
        - created_at
        - updated_at
      title: NodeSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: PAT
      scheme: bearer
      type: http

````